var Server = 'www7.nrk.no/nrkplayer';
//var Server = 'localhost/nrkplayer';
//var Server = 'mawww03/nrkplayer';


function StartAvspiller(Hovedkategori, Prosjekt, Kategori, Klipp, Indeks, Oppgave_id, Sok, Popup){
  var sw = screen.width;
  var sh = screen.height;
  var fs;
  if (Hovedkategori == 1000){
    Hovedkategori = 0;
    Oppgave_id = 1;
  }
  var url = 'http://'+Server+'/start.aspx?Hovedkategori_id='+Hovedkategori+'&Prosjekt_id='+Prosjekt+'&Kategori_id='+Kategori+'&Klipp_id='+Klipp+'&Indeks_id='+Indeks+'&Oppgave_id='+Oppgave_id+'&Sok='+Sok;
  if (Popup == 'false')
    document.location.href = url;
  else {
    if (window.name == 'nrkplayer_10') 
      document.location.href = url;
    else {
      fs = window.open(url, 'nrkplayer_10', 'width=660,height=570,left=10,top=10,directories=0,scrollbars=0,location=0,menubar=0,status=0,toolbar=0');
		  try {
		    fs.focus();
		  } catch (e) {}
    } 
	}
}

function StartAvspillerUtenFocus(Hovedkategori, Prosjekt, Kategori, Klipp, Indeks, Oppgave_id, Sok){
  var sw = screen.width;
  var sh = screen.height;
  var fs;
  if (Hovedkategori == 1000){
    Hovedkategori = 0;
    Oppgave_id = 1;
  }
  var url = 'http://'+Server+'/start.aspx?Hovedkategori_id='+Hovedkategori+'&Prosjekt_id='+Prosjekt+'&Kategori_id='+Kategori+'&Klipp_id='+Klipp+'&Indeks_id='+Indeks+'&Oppgave_id='+Oppgave_id+'&Sok='+Sok;
  if (window.name == 'nrkplayer_10') 
    document.location.href = url;
  else {
    fs = window.open(url, 'nrkplayer_10', 'width=660,height=570,left=10,top=10,directories=0,scrollbars=0,location=0,menubar=0,status=0,toolbar=0');
		
  } 
}

function StartAvspiller2(url){
  var sw = screen.width;
  var sh = screen.height;
  var fs;
  url = url.replace("default", "start");
  if (window.name == 'nrkplayer_10') 
    document.location.href = url;
  else {
    fs = window.open(url, 'nrkplayer_10', 'width=660,height=570,left=10,top=10,directories=0,scrollbars=0,location=0,menubar=0,status=0,toolbar=0');
	  try {
		    fs.focus();
		  } catch (e) {}
  } 
}

function jump() {
  setTimeout('redir();',5000);
}

function redir() {
  //alert(document.referrer.indexOf('nrk.no'));
  if (document.referrer != '') {
    if (document.referrer.indexOf('nrk.no') == -1) {
      document.location.href = "http://nrk.no";
    } else {
      document.location.href = document.referrer;
    }
  } else {
    document.location.href = 'http://nrk.no/';
  }
}
  
//NRK Nettradio - åpner vindu

function StartNettradioAvspillerLenke() {
  var sw  = screen.width;
  var url = 'http://nettradio.nrk.no/default.php';
  
  // Legg til querystring fra gjeldende side, eksempelvis ?kanal=p1
  url += document.location.search;
  
  if (sw >= 628) {
    window.open(url, 'Nettradio', 'width=628,height=377,left=10,top=10,directories=0,scrollbars=0,location=0,menubar=0,status=0,toolbar=0');
  } else {
    alert('Du har for lav skjermoppløsning.');
  }
  
  return false;
}